## python-popcon 2.0.0

=== requirements.txt ===
pytest==4.1.1
pytest-cov==2.6.1
flake8==3.6.0

## python-popcon 1.0

=== debian/changelog ===
python-popcon (1.0) unstable; urgency=low

  * Initial Release.

 -- Bastian Venthur <venthur@debian.org>  Tue, 17 Aug 2010 20:07:41 +0200

=== debian/control ===
Source: python-popcon
Priority: extra
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support
Standards-Version: 3.9.1
Section: python
Vcs-Git: git://github.com/venthur/python-popcon.git
Vcs-Browser: http://github.com/venthur/python-popcon

Package: python-popcon
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module, which allows to query Debian's
 Popularity Contest data.

## python-popcon 1.1

=== debian/changelog ===
python-popcon (1.1) unstable; urgency=low

  * Added patches by chrysn:
    - use namedtuple in python version that support it
    - use XDG_CACHE_HOME instead of ~/.popcon-cache
    - filebased timestamping
    - modernize deprecated use of has_key
    - module level data caching
    - atomic file creation

  * Add ${python:Depends} to Depends (closes: #627694).

 -- Bastian Venthur <venthur@debian.org>  Thu, 28 Jul 2011 00:15:35 +0200

=== debian/control ===
Source: python-popcon
Priority: extra
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-support
Standards-Version: 3.9.2
Section: python
Vcs-Git: git://github.com/venthur/python-popcon.git
Vcs-Browser: http://github.com/venthur/python-popcon

Package: python-popcon
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-xdg
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module, which allows to query Debian's
 Popularity Contest data.

## python-popcon 1.3

=== debian/changelog ===
python-popcon (1.3) unstable; urgency=medium

  * Provide Python3 module

 -- Bastian Venthur <venthur@debian.org>  Mon, 24 Aug 2015 12:43:11 +0200

python-popcon (1.2) unstable; urgency=medium

  * Fix previous NMU "FTBFS: Missing Build-Depends on python"
    (Closes: #796649)
  * Bumped standards version

 -- Bastian Venthur <venthur@debian.org>  Mon, 24 Aug 2015 08:43:08 +0200

python-popcon (1.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build using dh-python. Closes: #786119.

 -- Matthias Klose <doko@debian.org>  Sat, 22 Aug 2015 10:16:05 +0200

=== debian/control ===
Source: python-popcon
Priority: extra
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-python, python, python3
Standards-Version: 3.9.6
Section: python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Vcs-Git: git://github.com/venthur/python-popcon.git
Vcs-Browser: http://github.com/venthur/python-popcon

Package: python-popcon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-xdg
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module, which allows to query Debian's
 Popularity Contest data.

Package: python3-popcon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python-xdg
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module, which allows to query Debian's
 Popularity Contest data.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=popcon

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## python-popcon 1.4~bpo8+1

=== debian/changelog ===
python-popcon (1.4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ximin Luo <infinity0@debian.org>  Wed, 28 Sep 2016 17:44:28 +0200

python-popcon (1.4) unstable; urgency=medium

  * Acknowledge NMU, thanks Chris Lamb and Ximin Luo!
  * Changed docstrings to follow numpy standard
  * Updated setup.py to reflect proper library version
  * Added pythonX-xdg to build-depends

 -- Bastian Venthur <venthur@debian.org>  Wed, 28 Sep 2016 13:39:23 +0200

python-popcon (1.3+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for querying sourcemax statistics.
  * Don't mix up pickle formats; this causes bad lookups when py2/py3 both
    use the same file.
  * Update to latest Standards-Version; no changes required.

  [ Chris Lamb ]
  * Fix missing Depends on python3-xdg. (Closes: #833693)
  * Don't assume all-popcon-results.txt.gz is UTF-8. (Closes: #833738)

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Sep 2016 19:58:28 +0200

=== debian/control ===
Source: python-popcon
Priority: extra
Maintainer: Bastian Venthur <venthur@debian.org>
Uploaders: Ximin Luo <infinity0@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python, python3, python-xdg, python3-xdg
Standards-Version: 3.9.8
Section: python
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.4
Vcs-Git: https://github.com/venthur/python-popcon
Vcs-Browser: https://github.com/venthur/python-popcon

Package: python-popcon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-xdg
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module for Python 2, which allows one to
 query Debian's Popularity Contest data.

Package: python3-popcon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-xdg
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module for Python 3, which allows one to
 query Debian's Popularity Contest data.

## python-popcon 1.4

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: python-popcon
 Priority: extra
 Maintainer: Bastian Venthur <venthur@debian.org>
-Uploaders: Ximin Luo <infinity0@debian.org>
 Build-Depends: debhelper (>= 9), dh-python, python, python3, python-xdg, python3-xdg
 Standards-Version: 3.9.8
 Section: python

## python-popcon 1.5.1

=== debian/changelog ===
python-popcon (1.5.1) unstable; urgency=medium

  * Minor fix in __main__.py

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Feb 2018 15:30:00 +0100

python-popcon (1.5.0) unstable; urgency=medium

  * Updated packaging (setup.py, etc)
  * Added popcon CLI for direct queries from the command line
  * Removed dependency from xdg
  * Added Travis CI
  * Added unit tests
  * Added changelog, license, readme

 -- Bastian Venthur <venthur@debian.org>  Sat, 04 Nov 2017 16:22:01 +0100

=== debian/control ===
Source: python-popcon
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python, python3, python-setuptools, python3-setuptools
Standards-Version: 4.1.1
Section: python
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4
Vcs-Git: https://github.com/venthur/python-popcon
Vcs-Browser: https://github.com/venthur/python-popcon

Package: python-popcon
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module for Python 2, which allows one to
 query Debian's Popularity Contest data.

Package: python3-popcon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module for Python 3 and the popcon CLI, which
 allows one to query Debian's Popularity Contest data.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=popcon
+# don't install the same binary in python2 and python3, this can be removed once
+# we support python3 only
+export PYBUILD_INSTALL_ARGS_python2=--install-scripts=/usr/share/popcon
+
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

## python-popcon 2.0.0

=== debian/changelog ===
python-popcon (2.0.0) unstable; urgency=medium

  * Dropped Python2 support

 -- Bastian Venthur <venthur@debian.org>  Sun, 13 Jan 2019 14:04:35 +0100

## python-popcon 2.0.0+nmu1

=== debian/changelog ===
python-popcon (2.0.0+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:58:15 +0800

## python-popcon 2.0.3

=== debian/changelog ===
python-popcon (2.0.3) unstable; urgency=medium

  * Fixed missing version bump (no changes)

 -- Bastian Venthur <venthur@debian.org>  Tue, 11 Feb 2020 19:34:03 +0100

python-popcon (2.0.2) unstable; urgency=medium

  * Fixed main script to use the new-style functions introduced in 2.0.1
    (Closes #950963), thanks Gregor Herrmann!
  * Import new-style functions in __init__.py

 -- Bastian Venthur <venthur@debian.org>  Tue, 11 Feb 2020 15:56:49 +0100

python-popcon (2.0.1) unstable; urgency=medium

  * deprecated functions with packages as positional arguments, the new ones
    use list of packages instead
  * removed useles requirements.txt
  * added html report to coverage

 -- Bastian Venthur <venthur@debian.org>  Sun, 17 Nov 2019 16:25:18 +0100

=== debian/control ===
Source: python-popcon
Priority: optional
Maintainer: Bastian Venthur <venthur@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python3, python3-setuptools
Standards-Version: 4.1.1
Section: python
Vcs-Git: https://github.com/venthur/python-popcon
Vcs-Browser: https://github.com/venthur/python-popcon

Package: python3-popcon
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python interface to Debian's Popularity Contest (popcon)
 This package provides the popcon module for Python 3 and the popcon CLI, which
 allows one to query Debian's Popularity Contest data.

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,6 @@
 #export DH_VERBOSE=1
 
 export PYBUILD_NAME=popcon
-# don't install the same binary in python2 and python3, this can be removed once
-# we support python3 only
-export PYBUILD_INSTALL_ARGS_python2=--install-scripts=/usr/share/popcon
-
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

## python-popcon 2.0.4

=== debian/changelog ===
python-popcon (2.0.4) unstable; urgency=medium

  * updated debian's build system
  * New upstream version:
    * updated build system
    * use github actions instead of travis
    * bumped minimal Python version to 3.6

 -- Bastian Venthur <venthur@debian.org>  Sun, 08 Aug 2021 13:46:37 +0200

## python-popcon 3.0.3

=== Makefile ===
# system python interpreter. used only to create virtual environment
PY = python3
VENV = venv
BIN=$(VENV)/bin


ifeq ($(OS), Windows_NT)
	BIN=$(VENV)/Scripts
	PY=python
endif


all: lint test

$(VENV): requirements.txt requirements-dev.txt setup.py
	$(PY) -m venv $(VENV)
	$(BIN)/pip install --upgrade -r requirements.txt
	$(BIN)/pip install --upgrade -r requirements-dev.txt
	$(BIN)/pip install -e .
	touch $(VENV)

.PHONY: test
test: $(VENV)
	$(BIN)/pytest

.PHONY: lint
lint: $(VENV)
	$(BIN)/flake8

.PHONY: release
release: $(VENV)
	rm -rf dist
	$(BIN)/python setup.py sdist bdist_wheel
	$(BIN)/twine upload dist/*

.PHONY: clean
clean:
	rm -rf build dist *.egg-info
	rm -rf $(VENV)
	find . -type f -name *.pyc -delete
	find . -type d -name __pycache__ -delete
	# coverage
	rm -rf htmlcov .coverage

=== debian/changelog ===
python-popcon (3.0.3) unstable; urgency=medium

  * source-only upload

 -- Bastian Venthur <venthur@debian.org>  Wed, 29 Jun 2022 21:42:40 +0200

python-popcon (3.0.2) unstable; urgency=medium

  * bumped version to allow to migrate to Debian/testing (no changes)

 -- Bastian Venthur <venthur@debian.org>  Sun, 26 Jun 2022 13:14:08 +0200

python-popcon (3.0.1) unstable; urgency=medium

  * Improved tabular output for long package names
  * Added the sum for verbose output

 -- Bastian Venthur <venthur@debian.org>  Mon, 30 May 2022 19:16:05 +0200

python-popcon (3.0.0) unstable; urgency=medium

  * Removed functions deprecated since 2.0.1
  * bumped minimim Python version to 3.7
  * Added Python 3.10 to test suite
  * use HTTPS everywhere
  * updated dev dependencies
  * Improved output and added verbose output (Closes: #1011634) Thanks Gregor
    Herrmann for the patch, I ended up using a different solution.
  * Use argparse for CLI
  * test the CLI

 -- Bastian Venthur <venthur@debian.org>  Sun, 29 May 2022 11:01:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: python-popcon
 Priority: optional
 Maintainer: Bastian Venthur <venthur@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3, python3-setuptools
+Build-Depends: debhelper-compat (= 12), dh-python, python3, python3-setuptools
 Standards-Version: 4.1.1
 Section: python
-Vcs-Git: https://github.com/venthur/python-popcon
+Vcs-Git: https://github.com/venthur/python-popcon.git
 Vcs-Browser: https://github.com/venthur/python-popcon
 
 Package: python3-popcon

## python-popcon 3.0.3build1

=== debian/changelog ===
python-popcon (3.0.3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 08 Jan 2026 22:10:46 +0000
